Index: trunk/minix/etc/usr/daily
===================================================================
--- trunk/minix/etc/usr/daily	(revision 9)
+++ 	(revision )
@@ -1,71 +1,0 @@
-#!/bin/sh
-#
-# daily - daily cleanup of the system.
-
-# Doesn't make sense when running from CD
-if [ -f /CD ]
-then	exit
-fi
-
-case "$#:$1" in
-1:cron|1:boot)
-    caller=$1
-    ;;
-*)  echo >&2 "Usage: $0 cron|boot"
-    exit 1
-esac
-
-test -d /usr/adm || exit
-cd /usr/adm || exit
-
-# Last run must have been on a previous day.
-timestamp=daily.lasttime
-if test -f $timestamp
-then
-    set -- `ls -lT $timestamp`
-    test "$6 $7 $9" = "$(date '+%b %d %Y')" && exit
-fi
->$timestamp
-
-# Remove three day old files from various tmp dirs.
-cleantmp -3 /tmp /usr/tmp /usr/preserve /usr/spool/lpd /usr/spool/at/past
-
-# Truncate log files in /usr/adm.
-test -d old || mkdir old || exit
-
-cycle()
-{
-    # Cycle a log file if larger than a size in kilobytes.
-    local size="`expr "$1" + "$1"`"
-    local log="$2"
-
-    if test -f "$log" && test -n "$(find "$log" -size +"$size")"
-    then
-	test -f "old/$log.2" && cp -p "old/$log.2" "old/$log.3"
-	test -f "old/$log.1" && cp -p "old/$log.1" "old/$log.2"
-	cp -p "$log" "old/$log.1"
-	: > "$log"
-    fi
-}
-
-cycle 100 wtmp 
-cycle 100 log 
-cycle  20 ftplog
-cycle 200 aftplog
-
-# Make copies of /etc/passwd and /etc/shadow if they have been changed.
-for file in passwd shadow
-do
-    if cmp -s /etc/$file old/$file.1
-    then
-	# Fine.
-    else
-	test -f old/$file.2 && cp -p old/$file.2 old/$file.3
-	test -f old/$file.1 && cp -p old/$file.1 old/$file.2
-	test -f /etc/$file && cp -p /etc/$file old/$file.1
-    fi
-done
-
-# Continue with a local script if present.
-test -f /usr/local/etc/daily && sh /usr/local/etc/daily $caller
-exit 0
Index: trunk/minix/etc/usr/dhcptags.conf
===================================================================
--- trunk/minix/etc/usr/dhcptags.conf	(revision 9)
+++ 	(revision )
@@ -1,63 +1,0 @@
-# A list of all tags mentioned in RFC-1533.
-
-tag 1 netmask ip 1 1;
-tag 2 zoneoffset number 4 1;
-tag 3 gateway ip 1 0;
-tag 4 timeserver ip 1 0;
-tag 5 nameserver ip 1 0;
-tag 6 DNSserver ip 1 0;
-tag 7 logserver ip 1 0;
-tag 8 cookieserver ip 1 0;
-tag 9 LPR ip 1 0;
-tag 10 impress ip 1 0;
-tag 11 resource ip 1 0;
-tag 12 hostname ascii 1 0;
-tag 13 bootfilesize number 2 1;
-tag 14 coredump ip 1 0;
-tag 15 domain ascii 1 0;
-tag 16 swapserver ip 1 1;
-tag 17 rootpath ascii 1 0;
-tag 18 extensions ascii 1 0;
-tag 19 IPforwarding boolean 1 1;
-tag 20 IPnonlocalsource boolean 1 1;
-tag 21 IPpolicyfilter ip 2 0;
-tag 22 IPmaxreassembly number 2 1;
-tag 23 IPTTL number 1 1;
-tag 24 IPMTUaging number 4 1;
-tag 25 IPMTUplateau number 2 0;
-tag 26 IPMTU number 2 1;
-tag 27 IPsublocal boolean 1 1;
-tag 28 IPbroadcast ip 1 1;
-tag 29 IPmaskdiscovery boolean 1 1;
-tag 30 IPmasksupplier boolean 1 1;
-tag 31 IPdiscovery boolean 1 1;
-tag 32 IPsolicitation ip 1 1;
-tag 33 IPstaticroute ip 2 0;
-tag 34 ARPtrailer boolean 1 1;
-tag 35 ARPtimeout number 4 1;
-tag 36 ETHencapsulation boolean 1 1;
-tag 37 TCPTTL number 1 1;
-tag 38 TCPkeepaliveinterval number 4 1;
-tag 39 TCPkeepalivegarbage boolean 1 1;
-tag 40 NISdomain ascii 1 0;
-tag 41 NISserver ip 1 0;
-tag 42 NTPserver ip 1 0;
-tag 43 VENDOR octet 1 0;
-tag 44 NetBIOSNS ip 1 0;
-tag 45 NetBIOSdgram ip 1 0;
-tag 46 NetBIOSnodetype number 1 1;
-tag 47 NetBIOSscope octet 1 0;
-tag 48 Xfontserver ip 1 0;
-tag 49 XDM ip 1 0;
-tag 50 DHCPreqip ip 1 1;
-tag 51 DHCPlease number 4 1;
-tag 52 DHCPoverload number 1 1;
-tag 53 DHCPtype number 1 1;
-tag 54 DHCPserverID ip 1 1;
-tag 55 DHCPreqpar number 1 0;
-tag 56 DHCPmessage ascii 1 0;
-tag 57 DHCPsize number 2 1;
-tag 58 DHCPrenewal number 4 1;
-tag 59 DHCPrebinding number 4 1;
-tag 60 DHCPclassID ascii 1 0;
-tag 61 DHCPclientID octet 1 0;
Index: trunk/minix/etc/usr/rc
===================================================================
--- trunk/minix/etc/usr/rc	(revision 9)
+++ 	(revision )
@@ -1,193 +1,0 @@
-# /usr/etc/rc - continued system initialization.
-
-RANDOM_FILE=/usr/adm/random.dat
-LOCAL_FILE=/usr/etc/rc.local
-
-case "$#:$1" in
-1:start|1:stop|1:down)
-    action=$1
-    ;;
-*)  echo >&2 "Usage: $0 start|stop|down"
-    exit 1
-esac
-
-if [ -f "$LOCAL_FILE" ]
-then	. "$LOCAL_FILE" $1
-fi
-
-disabled()
-{
-    ifs="$IFS"; IFS=,
-    for skip in `sysenv disable`
-    do 
-        if [ "$skip" = "$1" ]
-	then 	 
-                IFS="$ifs"; unset ifs
-		return 0
-	fi
-    done
-    IFS="$ifs"; unset ifs
-    return 1
-}
-
-daemonize()
-{
-    # Function to start a daemon, if it exists.
-    local IFS=':'
-    local name="$1"
-    test "$1" = tcpd && name="$2"
-
-    for dir in $PATH
-    do
-	if [ -f "$dir/$1" ]
-	then
-
-            # check if this service is disabled at the boot monitor.
-            if disabled $name; then return; fi
-
-	    echo -n " $name"
-	    "$@" &
-	    return
-	fi
-    done
-}
-
-up()
-{
-    service=$1
-    shift
-
-    # Function to dynamically start a system service
-
-    # First check if this service is disabled at the boot monitor.
-    if disabled $service; then return; fi
-
-    # Service is not disabled. Try to bring it up.
-    echo -n " $service"
-    service up /usr/sbin/$service "$@" 
-}
-
-
-DAEMONS=/etc/rc.daemons
-
-case $action in
-start)
-    # Select console font.
-    test -f /etc/font && loadfont /etc/font </dev/console
-
-    # Cleanup.
-    rm -rf /tmp/. /usr/run/. /usr/spool/lpd/. /usr/spool/locks/.
-
-    # Start servers and drivers set at the boot monitor.
-    echo -n "Starting services:"
-    up random -dev /dev/random -period 3HZ
-
-    # load random number generator
-    if [ -f $RANDOM_FILE ]
-    then
-    	cat < $RANDOM_FILE >/dev/random
-    	# overwrite $RANDOM_FILE. We don't want to use this data again
-    	dd if=/dev/random of=$RANDOM_FILE bs=1024 count=1 2> /dev/null
-    fi
-
-    # start only network drivers that are in use
-    for driver in lance rtl8139 fxp dpeth dp8390
-    do
-        if grep " $driver " /etc/inet.conf > /dev/null  2>&1
-        then 
-            eval arg=\$${driver}_arg
-	    if [ ! -z "$arg" ]; then arg="-args \"$arg\""; fi
-            eval up $driver $arg -period 5HZ
-        fi
-    done
-    up inet 
-    up printer -dev /dev/lp -period 10HZ
-    echo .
-
-    # Network initialization.
-    (: </dev/tcp) 2>/dev/null && net=t	# Is there a TCP/IP server?
-
-    echo -n "Starting daemons:"
-    daemonize update
-
-    # Ugly error message when starting cron from CD.
-    # (and cron unnecessary then so..)
-    if [ ! -f /CD ]
-    then	daemonize cron
-    else	mkdir /tmp/log
-    		rm -f /var/log || true
-		ln -s /tmp/log /var/log || true
-		. /etc/rc.cd
-    fi
-    # syslogd has not been started yet
-    rm -f /var/run/syslogd.pid
-    daemonize syslogd
-    echo .
-
-    if [ "$net" ]
-    then
-	if [ -f /etc/rc.net ]
-	then
-	    # Let a customized TCP/IP initialization script figure it out.
-	    . /etc/rc.net
-	else
-	    # Standard network daemons.
-    	    echo -n "Starting networking:"
-	    if grep -s 'psip0.*default' /etc/inet.conf 
-	    then	ifconfig -h 10.0.0.1
-	    else	daemonize dhcpd
-	    fi
-	    daemonize nonamed -L
-	    if [ -f "$DAEMONS" ]
-	    then	. "$DAEMONS"
-	    fi
-	    # The last daemon has been started, so close the list:
-	    echo .
-	fi
-    fi
-
-    if [ "$net" ]
-    then
-	# Get the nodename from the DNS and set it.
-	trap '' 2
-	intr -t 20 hostaddr -h || echo "Unable to obtain an IP address."
-	trap 2
-    fi
-
-    # Recover files being edited when the system crashed.
-    test -f /usr/bin/elvprsv && elvprsv /usr/tmp/elv*
-
-    # Run the daily cleanup on systems that are not on at night.
-    test -f /usr/etc/daily && sh /usr/etc/daily boot &
-
-;;
-stop|down)
-    	# Save random data, if /usr is mounted rw.
-	if grep ' \/usr .*rw' /etc/mtab >/dev/null
-	then
-	  if dd if=/dev/random of=$RANDOM_FILE.new bs=1024 count=1 2>/dev/null
-    	  then
-    		mv $RANDOM_FILE.new $RANDOM_FILE
-	  else
-		echo 'Failed to save random data.'
-	  fi
-	fi
-esac
-
-d=/usr/local/etc/rc.d
-# Let packages run their own scripts
-if [ -d "$d" ]
-then	if cd $d
-	then
-		echo -n "Local packages ($action): "
-		for f in *
-		do
-			if [ -x "$f" ]
-			then	echo -n "$f "
-				sh "$f" "$action"
-			fi
-		done
-		echo " done."
-	fi
-fi
-
